/***************************************************************************
 *   Copyright (C) 2008 by Justin L. Boss                                  *
 *   justin@rtechguys.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef KOCEAN_H
#define KOCEAN_H

#include <kscreensaver.h>
#include <kdialog.h>
#include "koceansetting.h"
#include "ui_koceansetup.h"
#include "ocean.h"

class KOcean : public KScreenSaver
{
	Q_OBJECT
	public:
		KOcean(WId drawable);
		virtual ~KOcean();

	private:
				Ocean *ocean;
};

class KOceanSetup : public KDialog
{
	Q_OBJECT
	public:
		KOceanSetup(QWidget *parent = NULL);
		~KOceanSetup();
	 Settings* settings;

	private slots:
		void slotOkPressed();
		void slotHelp();
		void slotDefault();
		void slotUpdateGrid();

	private:
		Ui::koceansetup ui;
};

#endif // KOCEAN_H
